package com.gic.evaluate.dao.mapper;

import com.gic.evaluate.entity.TabEvaluate;
import com.gic.evaluate.qo.EvaluateQO;
import com.gic.evaluate.qo.StoreScoreQO;
import com.gic.evaluate.qo.StoreTrendQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TabEvaluateMapper {
    /**
     * 根据主键删除
     *
     * @param evaluateId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer evaluateId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEvaluate record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEvaluate record);

    /**
     * 根据主键查询
     *
     * @param evaluateId 主键
     * @return 实体对象
     */
    TabEvaluate selectByPrimaryKey(Integer evaluateId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEvaluate record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEvaluate record);

    Page<TabEvaluate> listEvaluate(EvaluateQO evaluateQO);

    void updateShowStatus(@Param("enterpriseId") Integer enterpriseId, @Param("evaluateId") List<Integer> evaluateId, @Param("showStatus") Integer showStatus);

    void updateTopHotStatus(@Param("enterpriseId") Integer enterpriseId, @Param("evaluateId") Integer evaluateId, @Param("topHotStatus") Integer topHotStatus);

    void updateMaliciousStatus(@Param("enterpriseId") Integer enterpriseId, @Param("evaluateId") Integer evaluateId, @Param("maliciousStatus") Integer maliciousStatus);

    Map<String, Long> getTotalChart(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Map<String, Long> getGoodsCountChart(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Map<String, Long> getStoreCountChart(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Map<String, Long> getServiceCountChart(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Map<String, String>> listTrendEvaluate(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("goodEvaluateStatus") Integer goodEvaluateStatus);

    List<Map<String, Object>> listStoreScore(StoreScoreQO storeScoreQO);

    Map<String, Object> getTotalStoreScore(StoreScoreQO storeScoreQO);

    List<Map<String, Object>> listTrend(StoreTrendQO storeTrendQO);

    TabEvaluate getEvaluateByOrderNumber(@Param("enterpriseId") Integer enterpriseId, @Param("orderNumber") String orderNumber);

    List<Map<String, Object>> evaluateQuickChart(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("tagType") Integer tagType);
}