package com.gic.evaluate.service;

import com.gic.evaluate.dto.EvaluateDTO;
import com.gic.evaluate.entity.TabEvaluate;
import com.gic.evaluate.qo.EvaluateQO;
import com.gic.evaluate.qo.StoreScoreQO;
import com.gic.evaluate.qo.StoreTrendQO;
import com.github.pagehelper.Page;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-27 9:51
 */
public interface EvaluateService {
    Page<TabEvaluate> listEvaluate(EvaluateQO evaluateQO);

    TabEvaluate getEvaluate(Integer enterpriseId, Integer evaluateId);

    void saveEvaluate(EvaluateDTO evaluateDTO);

    void updateShowStatus(Integer enterpriseId, List<Integer> evaluateId, Integer showStatus);

    void updateTopHotStatus(Integer enterpriseId, Integer evaluateId, Integer topHotStatus);

    void updateMaliciousStatus(Integer enterpriseId, Integer evaluateId, Integer maliciousStatus);

    Map<String, Long> getTotalCountChart(Integer enterpriseId, String startTime, String endTime);

    Map<String, Long> getGoodsCountChart(Integer enterpriseId, String startTime, String endTime);

    Map<String, Long> getStoreCountChart(Integer enterpriseId, String startTime, String endTime);

    Map<String, Long> getServiceCountChart(Integer enterpriseId, String startTime, String endTime);

    List<Map<String, String>> listTrendTotalEvaluate(Integer enterpriseId, String startTime, String endTime);

    List<Map<String, String>> listTrendGoodEvaluate(Integer enterpriseId, String startTime, String endTime);

    List<Map<String, Object>> listStoreScore(StoreScoreQO storeScoreQO);

    Map<String, Object> getTotalStoreScore(StoreScoreQO storeScoreQO);

    List<Map<String, Object>> listTrend(StoreTrendQO storeTrendQO);

    TabEvaluate getEvaluateByOrderNumber(Integer enterpriseId, String orderNumber);

    void updateEvaluate(EvaluateDTO evaluateDTO);

    List<Map<String, Object>> evaluateGoodQuickChart(Integer enterpriseId, String startTime, String endTime);

    List<Map<String, Object>> evaluateBadQuickChart(Integer enterpriseId, String startTime, String endTime);
}
