package com.gic.evaluate.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.evaluate.constant.Constants;
import com.gic.evaluate.dao.mapper.TabEvaluateOrderConfigMapper;
import com.gic.evaluate.dto.EvaluateOrderConfigDTO;
import com.gic.evaluate.entity.TabEvaluateOrderConfig;
import com.gic.evaluate.service.EvaluateOrderConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 17:46
 */
@Service
public class EvaluateOrderConfigServiceImpl implements EvaluateOrderConfigService {

    @Autowired
    private TabEvaluateOrderConfigMapper tabEvaluateOrderConfigMapper;

    @Override
    public void init(Integer enterpriseId) {
        TabEvaluateOrderConfig evaluateOrderConfig = new TabEvaluateOrderConfig();
        evaluateOrderConfig.setEnterpriseId(enterpriseId);
        evaluateOrderConfig.setGoods(Constants.OPEN);
        evaluateOrderConfig.setStore(Constants.OPEN);
        evaluateOrderConfig.setService(Constants.OPEN);
        evaluateOrderConfig.setGoodsRequired(Constants.OPEN);
        evaluateOrderConfig.setStoreRequired(Constants.OPEN);
        evaluateOrderConfig.setServiceRequired(Constants.CLOSE);
        evaluateOrderConfig.setMindHour(3);
        evaluateOrderConfig.setRemindDay(5);
        evaluateOrderConfig.setEvaluateLimitday(30);
        evaluateOrderConfig.setDefaultContent("默认好评！");
        evaluateOrderConfig.setReview(Constants.OPEN);
        evaluateOrderConfig.setReviewLimitday(90);
        evaluateOrderConfig.setReviewUserHidden(Constants.OPEN);
        evaluateOrderConfig.setReviewTimes(1);
        evaluateOrderConfig.setCommentModule(1);
        evaluateOrderConfig.setReward(Constants.OPEN);
        evaluateOrderConfig.setOrderType(Constants.EVALUATE_ORDER_SORT_SCORE);
//        evaluateOrderConfig.setGoodEvaluateQuick(copy.getGoodEvaluateQuick());
//        evaluateOrderConfig.setBadEvaluateQuick(copy.getBadEvaluateQuick());
//        evaluateOrderConfig.setReplyQuick(copy.getReplyQuick());
        evaluateOrderConfig.setBadEvaluateTag(Constants.OPEN);
        evaluateOrderConfig.setBadSuggestionTag(Constants.OPEN);
        this.tabEvaluateOrderConfigMapper.insertSelective(evaluateOrderConfig);
    }

    @Override
    public void updateOrderConfig(EvaluateOrderConfigDTO evaluateOrderConfigDTO) {
        TabEvaluateOrderConfig tabEvaluateOrderConfig = EntityUtil.changeEntityByJSON(TabEvaluateOrderConfig.class, evaluateOrderConfigDTO);
        this.tabEvaluateOrderConfigMapper.updateByPrimaryKeySelective(tabEvaluateOrderConfig);
    }

    @Override
    public TabEvaluateOrderConfig getEvaluateOrderConfig(Integer enterpriseId) {
        return this.tabEvaluateOrderConfigMapper.getOrderConfig(enterpriseId);
    }
}
